Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class ManagedPlugin

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.ManagedPlugin

All Implemented Interfaces:
  PluginInstance

Direct Known Subclasses:
  AbstractManagedPlugin

Deprecated. Use instead `ManagedPluginService`. Managed plug-in class. Implemented by the plug-in to be able to register in the plug-in manager.

public abstract class ManagedPlugin
extends Object
implements PluginInstance

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface com.bea.wlcp.wlng.api.plugin.PluginInstance
`MATCH_OPTIONAL, MATCH_REMOVE, MATCH_REQUIRED`

Constructor Summary
`ManagedPlugin(String[] supportedSchemes)` Deprecated. Constructor

Method Summary
`int` | `customMatch(RequestInfo requestInfo)` Deprecated. Checks if this plugin can be used given the provided request info.
`boolean` | `customMatchCriteria(RequestInfo requestInfo)` Deprecated. Checks if this plug-in can be used given the provided request info.
`List` | `getNorthInterfaces()` Deprecated. Returns the registered north interfaces
`List` | `getSouthInterfaces()` Deprecated. Returns the registered south interfaces
`String[]` | `getSupportedSchemes()` Deprecated. Gets the supported address schemes.
`boolean` | `isActive()` Deprecated. Checks if the plug-in is active.
`boolean` | `isConnected()` Deprecated. Checks if the plug-in is connected to the underlying network.
`boolean` | `isSchemeSupported(String scheme)` Deprecated. Check if the scheme is supported.
`void` | `registerNorthInterface(Class type, PluginNorth instance)` Deprecated. Registers a north interface.
`void` | `registerNorthInterface(Class type, PluginNorthCallback instance)` Deprecated. Registers a north callback interface.
`void` | `registerNorthInterfaceCallback(Class type, PluginNorth instance)` Deprecated. Registers a Callback north interface.
`void` | `registerSouthInterface(Class type, PluginSouth instance)` Deprecated. Registers a south interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedPlugin

    public ManagedPlugin(String[] supportedSchemes)

  Deprecated.
  Constructor

Method Detail

### customMatch

    public int customMatch(RequestInfo requestInfo)

  Deprecated.
  Checks if this plugin can be used given the provided request info. The return value indicates if the plugin should be removed, considered as optional or required. Override this method to implement plug-in specific matching. By default, this method calls customMatchCriteria() and returns MATCH_OPTIONAL.

  Specified by:
    `customMatch` in interface `PluginInstance`
  Parameters:
    `requestInfo` - The request info.
  Returns:
    Value indicating if the plugin should be removed, considered optional or required. Use the MATCH_xxx constants only.

### customMatchCriteria

    public boolean customMatchCriteria(RequestInfo requestInfo)

  Deprecated.
  Checks if this plug-in can be used given the provided request info. Override this method to implement plug-in specific matching.

  Parameters:
    `requestInfo` - The request info. The implementation may be traffic path specific.
  Returns:
    True if the plugin can be used.

### getNorthInterfaces

    public final List getNorthInterfaces()

  Deprecated.
  Returns the registered north interfaces

  Specified by:
    `getNorthInterfaces` in interface `PluginInstance`
  Returns:
    The north interfaces

### getSouthInterfaces

    public final List getSouthInterfaces()

  Deprecated.
  Returns the registered south interfaces

  Specified by:
    `getSouthInterfaces` in interface `PluginInstance`
  Returns:
    The south interfaces

### getSupportedSchemes

    public final String[] getSupportedSchemes()

  Deprecated.
  Gets the supported address schemes. For example "tel", "sip", etc.

  Returns:
    Supported schemes.

### isActive

    public boolean isActive()

  Deprecated.
  Checks if the plug-in is active. Override this method to implement plug-in specific activation.

  Returns:
    True if the plug-in is active

### isConnected

    public boolean isConnected()

  Deprecated.
  Description copied from interface: `PluginInstance`
  Checks if the plug-in is connected to the underlying network. I.e. is it ready to receieve traffic.

  Specified by:
    `isConnected` in interface `PluginInstance`
  Returns:
    True if the plug-in is connected
  See Also:
    `PluginInstance.isConnected()`

### isSchemeSupported

    public final boolean isSchemeSupported(String scheme)

  Deprecated.
  Check if the scheme is supported.

  Returns:
    Supported schemes.

### registerNorthInterface

    public final void registerNorthInterface(Class type,
                                             PluginNorth instance)

  Deprecated.
  Registers a north interface.

  Parameters:
    `type` - Type of the north interface
    `instance` - Instance implementing the interface

### registerNorthInterface

    public final void registerNorthInterface(Class type,
                                             PluginNorthCallback instance)

  Deprecated.
  Registers a north callback interface.

  Parameters:
    `type` - Type of the north callback interface
    `instance` - Instance implementing the interface

### registerNorthInterfaceCallback

    public final void registerNorthInterfaceCallback(Class type,
                                                     PluginNorth instance)

  Deprecated.
  Registers a Callback north interface.

  Parameters:
    `type` - Type of the Callback north interface
    `instance` - Instance implementing the interface

### registerSouthInterface

    public final void registerSouthInterface(Class type,
                                             PluginSouth instance)

  Deprecated.
  Registers a south interface.

  Parameters:
    `type` - Type of the south interface
    `instance` - Instance implementing the interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD